import axios from "@/utils/axios";
// 新系统专利数据库新接口
export default {
    /**
     * 新增专利数据库
     * @param {*} data 
     * @returns 
     */
    addPatentProject(data) {
        return axios.post("/xiaoshi/patentProject/addPatentProject", data);
    },
    /**
     * 查询专利数据库
     * @param {*} data 
     * @returns 
     */
    queryPatentProject(data) {
        return axios.post("/xiaoshi/patentProject/queryPatentProject", data);
    },
    /**
     * 更新专利数据库
     * @param {*} data 
     * @returns 
     */
    updatePatentProject(data) {
        return axios.post("/xiaoshi/patentProject/updatePatentProject", data);
    },
    /**
     * 删除专利数据库
     * @param {*} data 
     * @returns 
     */
    deletePatentProject(data) {
        return axios.post("/xiaoshi/patentProject/deletePatentProject", data);
    },
    /**
     * 专利数据库分组
     * @param {*} data 
     * @returns 
     */
    groupPatentProject(data) {
        return axios.post("/xiaoshi/patentProject/groupPatentProject", data);
    },
    
};
